package sun.applet;

import java.awt.Toolkit;
import java.awt.image.ImageProducer;
import java.net.URL;
import sun.awt.image.URLImageSource;
import sun.misc.Ref;

class AppletImageRef extends Ref {
   URL url;

   AppletImageRef(URL var1) {
      this.url = var1;
   }

   public void flush() {
      super.flush();
   }

   public Object reconstitute() {
      Object var1 = null;
      Object var2 = AppletResourceLoader.getLocalResource(this.url);
      if (var2 != null) {
         if (!(var2 instanceof ImageProducer)) {
            return null;
         }

         var1 = (ImageProducer)var2;
      } else {
         var1 = new URLImageSource(this.url);
      }

      return Toolkit.getDefaultToolkit().createImage((ImageProducer)var1);
   }
}
